// log.cc - implements logging class, log_file.
//    Copyright (C) 2000 Laurynas Biveinis <lauras@softhome.net>
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//

#include "global.h"
#include "log.h"

#include <dir.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

log_file::log_file(void)
{
   char log_file_name[FILENAME_MAX + 1] = "install.log";
   char log_base[FILENAME_MAX + 1] = "install.";
   char tail[4];
   int  log_num = 1;
   struct ffblk file_info;
   int not_found = findfirst(log_file_name, &file_info, FA_ARCH | FA_RDONLY);
   while (!not_found && (log_num <= 999))
   {
      itoa(log_num++, tail, 10);
      strcpy(log_file_name, log_base);
      strcat(log_file_name, tail);
      not_found = findfirst(log_file_name, &file_info, FA_ARCH | FA_RDONLY);
   }
   log_stream = new ofstream(log_file_name);
}

log_file::~log_file(void)
{
   delete log_stream;
}

void log_file::print_log(const char * fmt, ...) const
//     __attribute__((format (printf, 2, 3)))
{
   char print_buf[256];
   va_list args;
   va_start(args, fmt);
   vsprintf(print_buf, fmt, args);
   va_end(args);
   (*log_stream) << print_buf;
}
